QwtScaleWidget(3)

NAME
QwtScaleWidget -

A Widget which contains a scale.

SYNOPSIS

#include <qwt_scale_widget.h>

  Signals

void scaleDivChanged ()

  Public Member Functions

QwtScaleWidget (QWidget *parent=NULL)
QwtScaleWidget (QwtScaleDraw::Alignment, QWidget *parent=NULL)
virtual ~QwtScaleWidget ()
void setTitle (const QString &title)
void setTitle (const QwtText &title)
QwtText title () const
void setBorderDist (int start, int end)
int startBorderDist () const
int endBorderDist () const
void getBorderDistHint (int &start, int &end) const
void getMinBorderDist (int &start, int &end) const
void setMinBorderDist (int start, int end)
void setMargin (int)
int margin () const
void setSpacing (int td)
int spacing () const
void setPenWidth (int)
int penWidth () const
void setScaleDiv (QwtScaleTransformation *, const QwtScaleDiv &sd)
void setScaleDraw (QwtScaleDraw *)
const QwtScaleDraw * scaleDraw () const
QwtScaleDraw * scaleDraw ()
void setLabelAlignment (Qt::Alignment)
void setLabelRotation (double rotation)
void setColorBarEnabled (bool)
bool isColorBarEnabled () const
void setColorBarWidth (int)
int colorBarWidth () const
void setColorMap (const QwtDoubleInterval &, const QwtColorMap &)
QwtDoubleInterval colorBarInterval () const
const QwtColorMap & colorMap () const
virtual QSize sizeHint () const
virtual QSize minimumSizeHint () const
int titleHeightForWidth (int width) const
int dimForLength (int length, const QFont &scaleFont) const
void drawColorBar (QPainter *painter, const QRect &rect) const
void drawTitle (QPainter *painter, QwtScaleDraw::Alignment, const QRect &rect) const
void setAlignment (QwtScaleDraw::Alignment)
QwtScaleDraw::Alignment alignment () const
QRect colorBarRect (const QRect &) const

  Protected Member Functions

virtual void paintEvent (QPaintEvent *e)
virtual void resizeEvent (QResizeEvent *e)
void draw (QPainter *p) const
void scaleChange ()
void layoutScale (bool update=true)

Detailed Description

A Widget which contains a scale.

This Widget can be used to decorate composite widgets with a scale.

Constructor & Destructor Documentation

  QwtScaleWidget::QwtScaleWidget (QWidget * parent = NULL) [explicit]

Create a scale with the position QwtScaleWidget::Left. Parameters:
    parent Parent widget

  QwtScaleWidget::QwtScaleWidget (QwtScaleDraw::Alignment align, QWidget * parent = NULL) [explicit]

Constructor. Parameters:
    align Alignment.
    parent Parent widget

  QwtScaleWidget::~QwtScaleWidget () [virtual]

Destructor.

Member Function Documentation

  QwtScaleDraw::Alignment QwtScaleWidget::alignment () const Returns:
    position

See also:
    setPosition()

  int QwtScaleWidget::dimForLength (int length, const QFont & scaleFont) const

Find the minimum dimension for a given length. dim is the height, length the width seen in direction of the title. Parameters:
    length width for horizontal, height for vertical scales
    scaleFont Font of the scale

Returns:
    height for horizontal, width for vertical scales

  void QwtScaleWidget::draw (QPainter * p) const [protected]

draw the scale

  void QwtScaleWidget::drawTitle (QPainter * painter, QwtScaleDraw::Alignment align, const QRect & rect) const Rotate and paint a title according to its position into a given rectangle.

Parameters:
    painter Painter
    align Alignment
    rect Bounding rectangle

  int QwtScaleWidget::endBorderDist () const Returns:
    end border distance

See also:
    setBorderDist()

  void QwtScaleWidget::getBorderDistHint (int & start, int & end) const

Calculate a hint for the border distances. This member function calculates the distance of the scale's endpoints from the widget borders which is required for the mark labels to fit into the widget. The maximum of this distance an the minimum border distance is returned.

Warning:
    •   The minimum border distance depends on the font.
See also:
    setMinBorderDist(), getMinBorderDist(), setBorderDist()

  void QwtScaleWidget::getMinBorderDist (int & start, int & end) const Get the minimum value for the distances of the scale's endpoints from the widget borders.
See also:
    setMinBorderDist(), getBorderDistHint()

  void QwtScaleWidget::layoutScale (bool update = true) [protected]
Recalculate the scale's geometry and layout based on.

  int QwtScaleWidget::margin () const Returns:
    margin
See also:
    setMargin()

  QSize QwtScaleWidget::minimumSizeHint () const [virtual] Returns:
    a minimum size hint

  void QwtScaleWidget::paintEvent (QPaintEvent * e) [protected, virtual]
paintEvent

  int QwtScaleWidget::penWidth () const Returns:
    Scale pen width
See also:
    setPenWidth()

  void QwtScaleWidget::resizeEvent (QResizeEvent * e) [protected, virtual]
resizeEvent

  void QwtScaleWidget::scaleChange () [protected]
Notify a change of the scale. This virtual function can be overloaded by derived classes. The default implementation updates the geometry and repaints the widget.

  void QwtScaleWidget::scaleDivChanged () [signal]
Signal emitted, whenever the scale divison changes.

  QwtScaleDraw * QwtScaleWidget::scaleDraw () scaleDraw of this scale
See also:
    QwtScaleDraw::setScaleDraw()

  const QwtScaleDraw * QwtScaleWidget::scaleDraw () const scaleDraw of this scale
See also:
    setScaleDraw(), QwtScaleDraw::setScaleDraw()

  void QwtScaleWidget::setAlignment (QwtScaleDraw::Alignment alignment) Change the alignment
Parameters:
    alignment New alignment
See also:
    alignment()

  void QwtScaleWidget::setBorderDist (int dist1, int dist2) Specify distances of the scale's endpoints from the widget's borders. The actual borders will never be less than minimum border distance.
Parameters:
    dist1 Left or top Distance
    dist2 Right or bottom distance
See also:
    borderDist()

  void QwtScaleWidget::setLabelAlignment (Qt::Alignment alignment)
Change the alignment for the labels. See also:
    QwtScaleDraw::setLabelAlignment(), setLabelRotation()

  void QwtScaleWidget::setLabelRotation (double rotation)
Change the rotation for the labels. See QwtScaleDraw::setLabelRotation(). Parameters:
    rotation Rotation
See also:
    QwtScaleDraw::setLabelRotation(), setLabelFlags()

  void QwtScaleWidget::setMargin (int margin)
Specify the margin to the colorBar/base line. Parameters:
    margin Margin
See also:
    margin()

  void QwtScaleWidget::setMinBorderDist (int start, int end) Set a minimum value for the distances of the scale's endpoints from the widget borders. This is useful to avoid that the scales are 'jumping', when the tick labels or their positions change often.
Parameters:
    start Minimum for the start border
    end Minimum for the end border
See also:
    getMinBorderDist(), getBorderDistHint()

  void QwtScaleWidget::setPenWidth (int width)
Specify the width of the scale pen. Parameters:
    width Pen width
See also:
    penWidth()

  void QwtScaleWidget::setScaleDiv (QwtScaleTransformation * transformation, const QwtScaleDiv & scaleDiv)
Assign a scale division. The scale division determines where to set the tick marks.
Parameters:
    transformation Transformation, needed to translate between scale and pixal values
    scaleDiv Scale Division
See also:
    For more information about scale divisions, see QwtScaleDiv.

  void QwtScaleWidget::setScaleDraw (QwtScaleDraw * sd) Set a scale draw sd has to be created with new and will be deleted in ~QwtScaleWidget() or the next call of setScaleDraw().
Parameters:
    sd ScaleDraw object
See also:
    scaleDraw()

  void QwtScaleWidget::setSpacing (int spacing)
Specify the distance between color bar, scale and title. Parameters:
    spacing Spacing
See also:
    spacing()

  void QwtScaleWidget::setTitle (const QwtText & title) Give title new text contents
Parameters:
    title New title
See also:
    title()
Warning:
    The title flags are interpreted in direction of the label, AlignTop, AlignBottom can't be set as the title will always be aligned to the scale.

  void QwtScaleWidget::setTitle (const QString & title) Give title new text contents
Parameters:
    title New title
See also:
    title(), setTitle(const QwtText &);

  QSize QwtScaleWidget::sizeHint () const [virtual] Returns:
    a size hint

  int QwtScaleWidget::spacing () const Returns:
    distance between scale and title
See also:
    setMargin()

  int QwtScaleWidget::startBorderDist () const Returns:
    start border distance
See also:
    setBorderDist()

  QwtText QwtScaleWidget::title () const Returns:
    title
See also:
    setTitle()

  int QwtScaleWidget::titleHeightForWidth (int width) const
Find the height of the title for a given width. Parameters:
    width Width
Returns:
    height Height

Author
Generated automatically by Doxygen for Qwt User's Guide from the source code.